org.eclipse.debug.ui.memory

## Interface IMemoryRenderingSynchronizationService

    public interface IMemoryRenderingSynchronizationService

Provides facilities related to the synchronization of memory renderings.

Clients hosting renderings may implement this interface.

Since:
  3.1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addPropertyChangeListener(IPropertyChangeListener listener, String[] properties)` Adds a listener for property changes notification for the specified properties.
`Object` `getProperty(IMemoryBlock block, String property)` Returns the current value of the specified property for the given memory block, or `null` if none.
`IMemoryRendering` `getSynchronizationProvider()` Returns the rendering currently providing synchronization information for this synchronization service, or `null`
`void` `removePropertyChangeListener(IPropertyChangeListener listener)` Removes the given listener for property change notification.
`void` `setSynchronizationProvider(IMemoryRendering rendering)` Sets the rendering currently providing sychronization information for this synchronization service, or `null` if none.

### Method Detail

#### addPropertyChangeListener

    void addPropertyChangeListener(IPropertyChangeListener listener,
                                   String[] properties)

Adds a listener for property changes notification for the specified properties. Specifying `null` indicates that the listener is interested in all properties. If an identical listener is already registered, the properties it is registered to listen for are updated.

Parameters:
  `listener` - a property change listener
  `properties` - properties the listener is interested in, or `null` to indicate all properties.

#### removePropertyChangeListener

    void removePropertyChangeListener(IPropertyChangeListener listener)

Removes the given listener for property change notification. Has no effect if the identical listener is not registered.

Parameters:
  `listener` - a property change listener

#### getProperty

    Object getProperty(IMemoryBlock block,
                       String property)

Returns the current value of the specified property for the given memory block, or `null` if none.

Parameters:
  `block` - memory block for which a property is requested
  `property` - the name of the property
Returns:
  the property value or `null`

#### setSynchronizationProvider

    void setSynchronizationProvider(IMemoryRendering rendering)

Sets the rendering currently providing sychronization information for this synchronization service, or `null` if none.

Parameters:
  `rendering` - active rendering providing synchronization information or `null`

#### getSynchronizationProvider

    IMemoryRendering getSynchronizationProvider()

Returns the rendering currently providing synchronization information for this synchronization service, or `null`

Returns:
  rendering providing synchronization information or `null`